/* eslint-env browser */
(function() {
  'use strict';
  document.addEventListener('DOMContentLoaded', function() {
    var $content = document.getElementById('main');
    var $subscribeModal = document.getElementById('register-modal');
    var subscribeModal = new window.A11yDialog($subscribeModal, $content);
    var $registerForm = document.getElementById('register-form');

    subscribeModal.on('show', function(dialogEl) {
      dialogEl.classList.add('is-show');
    });

    subscribeModal.on('hide', function(dialogEl) {
      dialogEl.classList.remove('is-show');
    });

    $registerForm.addEventListener('submit', function(event) {
      event.preventDefault();

      var FD = new FormData($registerForm);

      // you can send this data to your server with ajax.
      // https://developer.mozilla.org/en-US/docs/Learn/HTML/Forms/Sending_forms_through_JavaScript#Using_FormData_bound_to_a_form_element
      console.log(FD.get('email'));

      subscribeModal.show();
    });

    /**
     * Scroll to register form
     */
    function goToRegisterForm() {
      document.querySelector('.js-register-form')
      .scrollIntoView({behavior: 'smooth'});
    }
    const $footerCTA = document.querySelector('.js-footer-cta');
    $footerCTA.addEventListener('click', goToRegisterForm);

    // Your custom JavaScript goes here
  });
})();
